package io.github.gretzky.connectivity

import android.content.Context
import android.media.AudioManager
import android.net.wifi.WifiManager
import android.os.PowerManager
import android.util.Log

import com.facebook.react.bridge.Promise
import com.facebook.react.bridge.ReactApplicationContext
import com.facebook.react.bridge.ReactContextBaseJavaModule
import com.facebook.react.bridge.ReactMethod
import com.facebook.react.bridge.WritableMap
import com.facebook.react.bridge.WritableNativeMap

import io.github.gretzky.connectivity.RNDUConnectivityReceiver
import io.github.gretzky.connectivity.RNDUConnectivityBroadcastReceiver

class RNDUConnectivityModule(reactContext: ReactApplicationContext) : ReactContextBaseJavaModule(reactContext) {

    private val mConnectivityReceiver: RNDUConnectivityReceiver

    override fun getName(): String {
        return "RNDUConnectivity"
    }

    init {
        mConnectivityReceiver = RNDUConnectivityBroadcastReceiver(reactContext)
    }

    override fun initialize() {
        mConnectivityReceiver.register()
    }

    override fun onCatalystInstanceDestroy() {
        mConnectivityReceiver.unregister()
    }

    @ReactMethod
    fun getCurrentState(promise: Promise) {
        promise.resolve(mConnectivityReceiver.createEventMap())
    }
}
