export interface MetaInfo {
    currentTime: string;
    sdk: number;
    uuid: string;
    lastUpdated: string;
    appVersion: string;
}
export interface MetaInterface {
    meta: MetaInfo;
}
export interface MetaComponentProps {
    state: MetaInterface;
    settings?: any;
    color?: string;
}
export declare type MetaState = MetaInterface | null;
export declare type MetaChangeHandler = (state: MetaState) => void;
export declare type MetaSubscription = () => void;
export interface MetaModule {
    getCurrentState: () => Promise<MetaState>;
    addListener: (type: string, handler: Function) => void;
    removeListeners: (type: string, handler: Function) => void;
}
