export interface VolumeInfo {
    level: number;
}
export interface VolumeInterface {
    volume: VolumeInfo;
}
export interface VolumeComponentProps {
    state: VolumeInterface;
    color?: string;
}
export declare type VolumeState = VolumeInterface | null;
export declare type VolumeChangeHandler = (state: VolumeState) => void;
export declare type VolumeSubscription = () => void;
export interface VolumeModule {
    getCurrentState: () => Promise<VolumeState>;
    addListener: (type: string, handler: Function) => void;
    removeListeners: (type: string, handler: Function) => void;
    setVolume: (amount: number) => void;
}
