import { useState, useEffect } from "react";
import ConnectivityInterface from "./interface";
import { ConnectivityState, ConnectivityType } from "./types";

export const initialState: ConnectivityState = {
  connectivity: {
    details: {
      strength: 0,
      isConnectionExpensive: false,
      isInternetReachable: false
    },
    isConnected: false,
    type: ConnectivityType.UNKNOWN
  }
};

export default () => {
  const [connectivityState, setConnectivityState] = useState<ConnectivityState>(initialState);

  useEffect(() => {
    return ConnectivityInterface.addEventListener(setConnectivityState);
  }, []);

  return connectivityState;
};
